| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLProjectionMatrixElement Class Reference
Element Classes

The SoGLProjectionMatrixElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoGLProjectionMatrixElement.h>`

Inherits SoProjectionMatrixElement.

## Public Member Functions

virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)

## Protected Member Functions

virtual | ~SoGLProjectionMatrixElement ()
virtual void | setElt (const SbMatrix &matrix)
| FIXME: write doc.

## Detailed Description

The SoGLProjectionMatrixElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoGLProjectionMatrixElement()

SoGLProjectionMatrixElement::~SoGLProjectionMatrixElement | ( | void |  | ) |

protectedvirtual

The destructor.

## Member Function Documentation

## ◆ createInstance()

void * SoGLProjectionMatrixElement::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

## ◆ initClass()

void SoGLProjectionMatrixElement::initClass | ( | void |  | ) |

static

This static method initializes static data for the SoGLProjectionMatrixElement class.

The documentation for this class was generated from the following files:

- SoGLProjectionMatrixElement.h
- SoGLProjectionMatrixElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.